#include <iostream>
#include <fstream>

using namespace std;

int main() {
    ifstream in("game.in");
    ofstream out("game.out");

    int n, m;
    in >> n >> m;

    int l1, r1, l2, r2;
    in >> l1 >> r1 >> l2 >> r2;

    int h;
    int petya = 0, vasya = 0, both = 0;
    for (int i = 0; i < n; i++) {
        in >> h;
        if ((l1 <= h) && (h <= r1)) {
            petya++;
            if ((l2 <= h) && (h <= r2)) {
                both++;
            }
        }
        if ((l2 <= h) && (h <= r2)) {
            vasya++;
        }
    }
    petya -= both;
    vasya -= both;
    int vasya_cnt = 0, petya_cnt = 0;

    both = min(m, both);
    petya_cnt += (both + 1) / 2;
    vasya_cnt += both / 2;
    m -= both;
    int step = both % 2;
    int mp = (m + step) / 2;
    int mv = m - mp;
    petya_cnt += min(petya, mv + mp - min(mp, vasya));
    vasya_cnt += min(vasya, mp + mv - min(mv, petya));

    if (vasya_cnt == petya_cnt) {
        out << "Draw";
    } else {
        out << ((petya_cnt > vasya_cnt) ? "Petya" : "Vasya");
    }
    return 0;
}